package dh-strip-nondeterminism 0.015-1 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration

Bug #1709184 reported by Ewan Keepers on 2017-08-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
strip-nondeterminism (Ubuntu)
Undecided
Unassigned

Bug Description

I think this is a known bug. I tried to connect my printer and when using the standard wizard to fetch a driver failed I manually downloaded and installed 'epson inkjet 201203w' 64 bit deb from the FSF Open Print website, which is what I usually have to do to get a Linux machine to connect to this printer.

This time I got these errors and followed these steps:

libc6:i386 not installed during
epson inkjet 201203w install
unable to update any packages.

Known Bug:
Upgrading packages that use debconf sometimes fail with the following error:

debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable

dpkg interupted

https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/349469

Advice to run:

fuser -v /var/cache/debconf/config.dat

Did that. Terminal now returning 'Errors were encountered while processin'g:
 dh-strip-nondeterminism

despite error update upgrade seem to be working. I can print!

Still getting error report: dh-strip-nondetermisim0.015-1 failed to install. uninstall and reinstall before configuring. Will try this next step.

Thanks!

Ewan

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: dh-strip-nondeterminism 0.015-1
ProcVersionSignature: Ubuntu 4.4.0-89.112-generic 4.4.76
Uname: Linux 4.4.0-89-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
Date: Fri Aug 4 08:48:46 2017
DuplicateSignature:
 package:dh-strip-nondeterminism:0.015-1
 Processing triggers for fontconfig (2.11.94-0ubuntu1.1) ...
 dpkg: error processing package dh-strip-nondeterminism (--configure):
  package is in a very bad inconsistent state; you should
ErrorMessage: package is in a very bad inconsistent state; you should reinstall it before attempting configuration
InstallationDate: Installed on 2017-02-16 (172 days ago)
InstallationMedia: Xubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
PackageArchitecture: all
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.2
 apt 1.2.24
SourcePackage: strip-nondeterminism
Title: package dh-strip-nondeterminism 0.015-1 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting configuration
UpgradeStatus: No upgrade log present (probably fresh install)

Ewan Keepers (keepers) wrote :
tags: removed: need-duplicate-check

I don't get how this can affect strip-nondeterminism...

Changed in strip-nondeterminism (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for strip-nondeterminism (Ubuntu) because there has been no activity for 60 days.]

Changed in strip-nondeterminism (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers